# $Revision: 1.27 $, $Date: 2008/07/23 04:58:39 $
Summary:	Toolchain for mastering recordable DVD media
Summary(pl.UTF-8):	Zestaw narzędzi do nagrywania płyt DVD
Name:		dvd+rw-tools
Version:	7.1
Release:	1
License:	GPL
Group:		Applications/Multimedia
Source0:	http://fy.chalmers.se/~appro/linux/DVD+RW/tools/%{name}-%{version}.tar.gz
# Source0-md5:	8acb3c885c87f6838704a0025e435871
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-progress.patch
Patch2:		%{name}-headers.patch
URL:		http://fy.chalmers.se/~appro/linux/DVD+RW/
BuildRequires:	libstdc++-devel
BuildRequires:	m4
Requires:	mkisofs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Collection of tools to master DVD+RW/+R/-R/-RW media.

%description -l pl.UTF-8
Kolekcja narzędzi do nagrywania płyt DVD+RW/+R/-R/-RW.

%package btcflash
Summary:	BTC CD/DVD reader/writer firmware updater
Summary(pl.UTF-8):	Program do uaktualniania firmware'u czytników/nagrywarek CD/DVD BTC
Group:		Applications/Multimedia

%description btcflash
BTC CD/DVD reader/writer firmware updater.

%description btcflash -l pl.UTF-8
Program do uaktualniania firmware'u czytników/nagrywarek CD/DVD firmy
BTC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

head -n 395 growisofs.c > ChangeLog

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -Wall" \
	CXXFLAGS="%{rpmcflags} -fno-exceptions -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	manprefix=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc index.html
%attr(755,root,root) %{_bindir}/dvd+rw-*
%attr(755,root,root) %{_bindir}/dvd-ram-control
%attr(755,root,root) %{_bindir}/growisofs
%attr(755,root,root) %{_bindir}/rpl8
%{_mandir}/man1/growisofs.1*

%files btcflash
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/btcflash

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dvd+rw-tools.spec,v $
Revision 1.27  2008/07/23 04:58:39  qboosh
- updated to 7.1
- removed obsolete bacula,printf patches

Revision 1.26  2008/01/23 19:17:00  hawk
- fix compilation on newer linux-libc-headers
- release 4

Revision 1.25  2007-07-17 17:02:44  wolf
- progress patch
- rel 3

Revision 1.24  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.22  2006/12/25 12:32:47  wolf
- rel 2

Revision 1.21  2006/12/03 21:00:41  wolf
- drop EVR from R: mkisofs

Revision 1.20  2006/10/06 08:32:07  qboosh
- updated to 7.0, updated makefile,bacula patches

Revision 1.19  2006/06/27 19:07:10  qboosh
- pl for -btcflash

Revision 1.18  2006/06/26 06:48:42  wiget
- btcflash in subpackage

Revision 1.17  2006/04/07 07:56:15  pluto
- correct printf fix, release 1.

Revision 1.16  2006/04/06 17:57:59  jajcus
- bacula patch updated (the old one caused Memory Fault)
- epoch in mkisofs R

Revision 1.15  2006/02/20 02:11:19  wolf
- crashes are not k3b related

Revision 1.14  2006/02/19 11:09:37  freetz
- require virtual mkisofs package

Revision 1.13  2006/02/15 23:19:36  jack
- up to 6.1

Revision 1.12  2006/02/10 21:09:02  wolf
- C < k3b-0.12.11

Revision 1.11  2006/01/28 17:17:06  pluto
- updated to 6.0.

Revision 1.10  2006/01/28 13:05:33  pluto
- minor gcc4 fixes.

Revision 1.9  2005/11/29 10:39:32  jajcus
- added patch needed by Bacula for backups on DVD volumes

Revision 1.8  2005/06/06 21:59:05  ankry
- BRs sorted

Revision 1.7  2005/06/06 21:23:28  zbyniu
- BR: m4

Revision 1.6  2004/08/29 11:09:49  wolf
- 5.21

Revision 1.5  2004/08/01 17:49:56  grzegol
- updated to 5.20.4.10.8

Revision 1.4  2004/07/06 19:39:46  blues
- 5.18.4.8.6 - not tested

Revision 1.3  2004/07/06 18:37:24  blues
- release 1 - lets test it

Revision 1.2  2004/01/04 21:34:44  qboosh
- use optflags, removed BR glibc-kernel-headers (already required by glibc-devel)

Revision 1.1  2004/01/02 22:05:19  pius
- initial release
